summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2012-01-16 06:44:18 +0100
committer Robby Workman2012-01-16 06:44:18 +0100
commit54112a678865ee6fac78cf98db5327f37b3dd4e5 (patch)
treed0876fff486fab46c1845704f93db1c7e2421ce9 /games
parent67c23e9759b47070aa0d06f02244731ac83eb2e7 (diff)
downloadslackbuilds-54112a678865ee6fac78cf98db5327f37b3dd4e5.tar.gz
games/heretic_shareware_data: Added (shareware Heretic game data)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/heretic_shareware_data/README5
-rw-r--r--games/heretic_shareware_data/heretic_shareware_data.SlackBuild49
-rw-r--r--games/heretic_shareware_data/heretic_shareware_data.info10
-rw-r--r--games/heretic_shareware_data/slack-desc19
4 files changed, 83 insertions, 0 deletions
diff --git a/games/heretic_shareware_data/README b/games/heretic_shareware_data/README
new file mode 100644
index 0000000000..4342997af6
--- /dev/null
+++ b/games/heretic_shareware_data/README
@@ -0,0 +1,5 @@
+Game data from the shareware release of Heretic (heretic1.wad, v1.2).
+Includes only the first episode of the game.
+
+You'll need a Doom engine that's capable of playing Heretic to use this.
+zdoom will work; prboom, prboom-plus, odamex, and skulltag won't.
diff --git a/games/heretic_shareware_data/heretic_shareware_data.SlackBuild b/games/heretic_shareware_data/heretic_shareware_data.SlackBuild
new file mode 100644
index 0000000000..d347503ef7
--- /dev/null
+++ b/games/heretic_shareware_data/heretic_shareware_data.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for heretic_shareware_data
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=heretic_shareware_data
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/htic_v12.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cat HTIC_V12.1 HTIC_V12.2 > htic.zip
+unzip htic.zip
+
+mkdir -p $PKG/usr/share/games/doom
+install -m0644 HERETIC1.WAD $PKG/usr/share/games/doom/heretic1.wad
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/heretic_shareware_data/heretic_shareware_data.info b/games/heretic_shareware_data/heretic_shareware_data.info
new file mode 100644
index 0000000000..dabe88dbd4
--- /dev/null
+++ b/games/heretic_shareware_data/heretic_shareware_data.info
@@ -0,0 +1,10 @@
+PRGNAM="heretic_shareware_data"
+VERSION="1.2"
+HOMEPAGE="ftp://ftp.idsoftware.com/idstuff/heretic/htic_v12.txt"
+DOWNLOAD="ftp://ftp.idsoftware.com/idstuff/heretic/htic_v12.zip"
+MD5SUM="420b23b3d8f2cbd164c121369eaa2b09"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/heretic_shareware_data/slack-desc b/games/heretic_shareware_data/slack-desc
new file mode 100644
index 0000000000..8ec599d5be
--- /dev/null
+++ b/games/heretic_shareware_data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+heretic_shareware_data: heretic_shareware_data (shareware Heretic game data)
+heretic_shareware_data:
+heretic_shareware_data: Game data from the shareware release of Heretic (heretic1.wad,
+heretic_shareware_data: v1.2). Includes only the first episode of the game.
+heretic_shareware_data:
+heretic_shareware_data: You'll need a Doom engine that's capable of playing Heretic, such as
+heretic_shareware_data: zdoom, to use this.
+heretic_shareware_data:
+heretic_shareware_data:
+heretic_shareware_data:
+heretic_shareware_data: